Debian Bug report logs - #425189
libgtk2.0-0: BadValue on XkbSelectEventDetails with Xsgi

version graph

Package: libgtk2.0-0; Maintainer for libgtk2.0-0 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libgtk2.0-0 is src:gtk+2.0.

Reported by: Tony 'Nicoya' Mantler <nicoya@ubb.ca>

Date: Sat, 19 May 2007 23:33:02 UTC

Severity: normal

Found in version gtk+2.0/2.10.12-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#425189; Package libgtk2.0-0. Full text and rfc822 format available.

Acknowledgement sent to Tony 'Nicoya' Mantler <nicoya@ubb.ca>:
New Bug report received and forwarded. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tony 'Nicoya' Mantler <nicoya@ubb.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgtk2.0-0: BadValue on XkbSelectEventDetails with Xsgi
Date: Sat, 19 May 2007 18:29:59 -0500
Package: libgtk2.0-0
Version: 2.10.12-2
Severity: normal

Somewhere in version 2.10 of libgtk, a call to XkbSelectEventDetails() was added around 
line 300 of gdk/x11/gdkdisplay-x11.c, in gdk_display_open. This call causes gtk 
applications to fail to run when displaying to an Xsgi X server, with an error message 
like the following:

The program 'xscreensaver-demo' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 73 error_code 2 request_code 139 minor_code 1)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Commenting out the XkbSelectEventDetails() call allows the apps to start and run 
normally. I'm not really well versed enough in X11 to say exactly why the call is 
failing.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.19.2 (PREEMPT)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages libgtk2.0-0 depends on:
ii  libatk1.0-0               1.18.0-2       The ATK accessibility toolkit
ii  libc6                     2.5-7          GNU C Library: Shared libraries
ii  libcairo2                 1.4.6-1        The Cairo 2D vector graphics libra
ii  libcupsys2                1.2.11-2       Common UNIX Printing System(tm) - 
ii  libfontconfig1            2.4.2-1.2      generic font configuration library
ii  libglib2.0-0              2.12.12-1      The GLib library of C routines
ii  libgnutls13               1.6.2-2        the GNU TLS library - runtime libr
ii  libgtk2.0-common          2.10.12-2      Common files for the GTK+ graphica
ii  libjpeg62                 6b-13          The Independent JPEG Group's JPEG 
ii  libpango1.0-0             1.16.4-1       Layout and rendering of internatio
ii  libpng12-0                1.2.15~beta5-2 PNG library - runtime
ii  libtiff4                  3.8.2-7        Tag Image File Format (TIFF) libra
ii  libx11-6                  2:1.0.3-7      X11 client-side library
ii  libxcursor1               1:1.1.8-2      X cursor management library
ii  libxext6                  1:1.0.3-2      X11 miscellaneous extension librar
ii  libxfixes3                1:4.0.3-2      X11 miscellaneous 'fixes' extensio
ii  libxi6                    1:1.0.1-4      X11 Input extension library
ii  libxinerama1              1:1.0.2-1      X11 Xinerama extension library
ii  libxrandr2                2:1.2.1-1      X11 RandR extension library
ii  libxrender1               1:0.9.2-1      X Rendering Extension client libra
ii  zlib1g                    1:1.2.3-15     compression library - runtime

Versions of packages libgtk2.0-0 recommends:
ii  hicolor-icon-theme            0.10-1     default fallback theme for FreeDes
ii  libgtk2.0-bin                 2.10.12-2  The programs for the GTK+ graphica

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#425189; Package libgtk2.0-0. Full text and rfc822 format available.

Acknowledgement sent to 425189@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #10 received at 425189@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Tony 'Nicoya' Mantler <nicoya@ubb.ca>, 425189@bugs.debian.org
Cc: mclasen@redhat.com
Subject: Re: Bug#425189: libgtk2.0-0: BadValue on XkbSelectEventDetails with Xsgi
Date: Sun, 20 May 2007 02:31:34 +0200
[Message part 1 (text/plain, inline)]
Le samedi 19 mai 2007 à 18:29 -0500, Tony 'Nicoya' Mantler a écrit :
> Package: libgtk2.0-0
> Version: 2.10.12-2
> Severity: normal
> 
> Somewhere in version 2.10 of libgtk, a call to XkbSelectEventDetails() was added around 
> line 300 of gdk/x11/gdkdisplay-x11.c, in gdk_display_open. This call causes gtk 
> applications to fail to run when displaying to an Xsgi X server, with an error message 
> like the following:
> 
> The program 'xscreensaver-demo' received an X Window System error.
> This probably reflects a bug in the program.
> The error was 'BadValue (integer parameter out of range for operation)'.
>   (Details: serial 73 error_code 2 request_code 139 minor_code 1)
>   (Note to programmers: normally, X errors are reported asynchronously;
>    that is, you will receive the error a while after causing it.
>    To debug your program, run it with the --sync command line
>    option to change this behavior. You can then get a meaningful
>    backtrace from your debugger if you break on the gdk_x_error() function.)
> 
> Commenting out the XkbSelectEventDetails() call allows the apps to start and run 
> normally. I'm not really well versed enough in X11 to say exactly why the call is 
> failing.

The XkbSelectEventDetails call was added much earlier than the 2.10
series. I think you're talking about the following change:
http://svn.gnome.org/viewcvs/gtk%2B/trunk/gdk/x11/gdkdisplay-x11.c?view=diff&r1=15911&r2=15912

In all cases, this looks like a bug in Xsgi rather than one in GTK+, but
I'm CCing Matthias, who committed this change. Matthias, do you remember
why you did this change? I can't find anything relevant in the
ChangeLog.

Thanks,
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#425189; Package libgtk2.0-0. Full text and rfc822 format available.

Acknowledgement sent to Tony Mantler <nicoya@ubb.ca>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #15 received at 425189@bugs.debian.org (full text, mbox):

From: Tony Mantler <nicoya@ubb.ca>
To: 425189@bugs.debian.org, Josselin Mouette <joss@debian.org>
Cc: mclasen@redhat.com
Subject: Re: Bug#425189: libgtk2.0-0: BadValue on XkbSelectEventDetails with Xsgi
Date: Sat, 19 May 2007 19:58:14 -0500
On 19-May-07, at 7:31 PM, Josselin Mouette wrote:

> Le samedi 19 mai 2007 à 18:29 -0500, Tony 'Nicoya' Mantler a écrit :
>> Package: libgtk2.0-0
>> Version: 2.10.12-2
>> Severity: normal
>>
>> Somewhere in version 2.10 of libgtk, a call to  
>> XkbSelectEventDetails() was added around
>> line 300 of gdk/x11/gdkdisplay-x11.c, in gdk_display_open. This  
>> call causes gtk
>> applications to fail to run when displaying to an Xsgi X server,  
>> with an error message
>> like the following:
>>
>> The program 'xscreensaver-demo' received an X Window System error.
>> This probably reflects a bug in the program.
>> The error was 'BadValue (integer parameter out of range for  
>> operation)'.
>>   (Details: serial 73 error_code 2 request_code 139 minor_code 1)
>>   (Note to programmers: normally, X errors are reported  
>> asynchronously;
>>    that is, you will receive the error a while after causing it.
>>    To debug your program, run it with the --sync command line
>>    option to change this behavior. You can then get a meaningful
>>    backtrace from your debugger if you break on the gdk_x_error()  
>> function.)
>>
>> Commenting out the XkbSelectEventDetails() call allows the apps to  
>> start and run
>> normally. I'm not really well versed enough in X11 to say exactly  
>> why the call is
>> failing.
>
> The XkbSelectEventDetails call was added much earlier than the 2.10
> series. I think you're talking about the following change:
> http://svn.gnome.org/viewcvs/gtk%2B/trunk/gdk/x11/gdkdisplay-x11.c? 
> view=diff&r1=15911&r2=15912

Unless I'm looking at the wrong revision in svn, the call doesn't  
appear to be present in 2.8.20. I suppose I could have worded the  
report a bit better; I upgraded libgtk2 when debian unstable switched  
from 2.8 to 2.10 and found that I could no longer display gtk apps to  
my SGI.


> In all cases, this looks like a bug in Xsgi rather than one in GTK 
> +, but
> I'm CCing Matthias, who committed this change. Matthias, do you  
> remember
> why you did this change? I can't find anything relevant in the
> ChangeLog.

That's entirely possible.

--
Tony 'Nicoya' Mantler - Master of Code-fu
-- nicoya@ubb.ca -- http://www.ubb.ca/ --






Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#425189; Package libgtk2.0-0. Full text and rfc822 format available.

Acknowledgement sent to Matthias Clasen <mclasen@redhat.com>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #20 received at 425189@bugs.debian.org (full text, mbox):

From: Matthias Clasen <mclasen@redhat.com>
To: 425189@bugs.debian.org
Cc: "Tony 'Nicoya' Mantler" <nicoya@ubb.ca>
Subject: Re: Bug#425189: libgtk2.0-0: BadValue on XkbSelectEventDetails with Xsgi
Date: Sat, 19 May 2007 21:05:04 -0400
On Sun, 2007-05-20 at 02:31 +0200, Josselin Mouette wrote:

> In all cases, this looks like a bug in Xsgi rather than one in GTK+, but
> I'm CCing Matthias, who committed this change. Matthias, do you remember
> why you did this change? I can't find anything relevant in the
> ChangeLog.
> 

Kind of ironic, considering that sgi invented the abomination that is
xkb...

Anyway, the purpose of the xkb changes was to avoid waking up every
application for every keypress. 




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#425189; Package libgtk2.0-0. Full text and rfc822 format available.

Acknowledgement sent to 425189@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #25 received at 425189@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Tony Mantler <nicoya@ubb.ca>, 425189@bugs.debian.org
Subject: Re: Bug#425189: libgtk2.0-0: BadValue on XkbSelectEventDetails with Xsgi
Date: Sun, 20 May 2007 13:36:38 +0200
[Message part 1 (text/plain, inline)]
Le samedi 19 mai 2007 à 19:58 -0500, Tony Mantler a écrit :
> Unless I'm looking at the wrong revision in svn, the call doesn't  
> appear to be present in 2.8.20. I suppose I could have worded the  
> report a bit better; I upgraded libgtk2 when debian unstable switched  
> from 2.8 to 2.10 and found that I could no longer display gtk apps to  
> my SGI.

In which case, the rationale for the change is explained there:
http://bugzilla.gnome.org/show_bug.cgi?id=151555

> > In all cases, this looks like a bug in Xsgi rather than one in GTK 
> 
> That's entirely possible.

If your Irix is still under maintenance, I suggest you contact SGI
support. Otherwise, you can switch to Debian :)
-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#425189; Package libgtk2.0-0. Full text and rfc822 format available.

Acknowledgement sent to Tony Mantler <nicoya@ubb.ca>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #30 received at 425189@bugs.debian.org (full text, mbox):

From: Tony Mantler <nicoya@ubb.ca>
To: 425189@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: Bug#425189: libgtk2.0-0: BadValue on XkbSelectEventDetails with Xsgi
Date: Sun, 20 May 2007 11:31:17 -0500
On 20-May-07, at 6:36 AM, Josselin Mouette wrote:

> Le samedi 19 mai 2007 à 19:58 -0500, Tony Mantler a écrit :
>> Unless I'm looking at the wrong revision in svn, the call doesn't
>> appear to be present in 2.8.20. I suppose I could have worded the
>> report a bit better; I upgraded libgtk2 when debian unstable switched
>> from 2.8 to 2.10 and found that I could no longer display gtk apps to
>> my SGI.
>
> In which case, the rationale for the change is explained there:
> http://bugzilla.gnome.org/show_bug.cgi?id=151555
>
>>> In all cases, this looks like a bug in Xsgi rather than one in GTK
>>
>> That's entirely possible.
>
> If your Irix is still under maintenance, I suggest you contact SGI
> support. Otherwise, you can switch to Debian :)

Hrm, somehow I figured that would be the answer. Sadly IRIX is  
basically dead at this point, and the linux support for the Octane is  
spotty at best.

Is there any easy way that the error could be trapped and handled in  
GTK? Or would that just make a mess of things?

--
Tony 'Nicoya' Mantler - Master of Code-fu
-- nicoya@ubb.ca -- http://www.ubb.ca/ --






Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:49:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.